Panda3D

Public Member Functions | List of all members
OSubStream Class Reference

An ostream object that presents a subwindow into another ostream. More...

`#include "subStream.h"`

Inheritance diagram for OSubStream:

## Public Member Functions
| OSubStream (OStreamWrapper *dest, std::streampos start, std::streampos end, bool append=false)
OSubStream & | close ()
| Resets the SubStream to empty, but does not actually close the dest ostream. More...
OSubStream & | open (OStreamWrapper *dest, std::streampos start, std::streampos end, bool append=false)
| Starts the SubStream reading from the indicated dest, with the first character being the character at position "start" within the dest, for end. More...

## Detailed Description

An ostream object that presents a subwindow into another ostream.

The first character written to this stream will be the "start" character in the dest istream; no characters may be written to character "end" or later (unless end is zero).

The dest stream must be one that we can randomly seek within. The resulting OSubStream will also support arbitrary seeks.

Definition at line 55 of file subStream.h.

## Member Function Documentation

## ◆ close()

OSubStream & OSubStream::close | ( |  | ) |
| inline

Resets the SubStream to empty, but does not actually close the dest ostream.

Definition at line 90 of file subStream.I.

## ◆ open()

OSubStream & OSubStream::open | ( | OStreamWrapper * | dest,
|  | std::streampos | start,
|  | std::streampos | end,
|  | bool | append = `false`
| ) |  |
| inline

Starts the SubStream reading from the indicated dest, with the first character being the character at position "start" within the dest, for end.

- start total characters. The character at "end" within the dest will never be read; this will appear to be EOF.

If end is zero, it indicates that the OSubStream will continue until the end of the dest stream.

Definition at line 79 of file subStream.I.

The documentation for this class was generated from the following files:

- panda/src/express/subStream.h
- panda/src/express/subStream.I